<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.video.mapper.DsBroadcastMapper">

    <resultMap type="com.ltgk.video.domain.entity.DsBroadcast" id="DsBroadcastMap">
        <result property="id" column="id"/>
        <result property="serialNumber" column="serial_number"/>
        <result property="belongUnit" column="belong_unit"/>
        <result property="portId" column="port_id"/>
        <result property="portName" column="port_name"/>
        <result property="broadcastCode" column="broadcast_code"/>
        <result property="broadcastName" column="broadcast_name"/>
        <result property="broadcastType" column="broadcast_type"/>
        <result property="model" column="model"/>
        <result property="manufacturer" column="manufacturer"/>
        <result property="addr" column="addr"/>
        <result property="longitude" column="longitude"/>
        <result property="latitude" column="latitude"/>
        <result property="broadcastIp" column="broadcast_ip"/>
        <result property="broadcastPort" column="broadcast_port"/>
        <result property="broadcastAccount" column="broadcast_account"/>
        <result property="broadcastPassword" column="broadcast_password"/>
        <result property="deployDate" column="deploy_date"/>
        <result property="lastMaintenanceDate" column="last_maintenance_date"/>
        <result property="runStatus" column="run_status"/>
        <result property="delFlag" column="del_flag"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="remark" column="remark"/>
    </resultMap>
</mapper>

